Bug 808437 - [RFE] Don't make notifications for CLI actions performed (and pop them up in UI)
[RFE] Don't make notifications for CLI actions performed (and pop them up in UI)
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Garik Khachikyan
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 07:36 EDT by Garik Khachikyan
Modified: 2015-05-04 21:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Some actions performed on the command line produced log notifications in the web interface. This new feature removes the command line notifications from the web interface.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:44:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-03-30 07:36:46 EDT
Description of problem:
performing set of cli actions and then switching to the UI one can see popping them up one by one on each UI actions (like "Dashboard" selection, click on "Custom Providers" whatever) - so it's really annoying to click them to be closed (especially if there would be some "red" ones). 

Please just not log notifications (or better: not to pop them up) for the CLI actions performed please.

Version-Release number of selected component (if applicable):
current Katello/CFSE

How reproducible:
always 

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
weird popups each time

Expected results:
no popups, desired to have the actions logged just in notification history but not to popup them.

Additional info:
Comment 2 Petr Chalupa 2012-07-18 09:38:53 EDT
fixed in f9fbf34876f15daa23e49bea807ff0da8480756d
Comment 4 Garik Khachikyan 2012-10-04 06:29:18 EDT
# VERIFIED

Running tons of cli calls: none gets popped up in UI. ty for the fix.

checked on:
---
katello-1.1.12-12.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
Comment 5 Petr Chalupa 2012-11-22 04:25:10 EST
I've just noticed, "Some actions ..." instead of "Any actions ..." is more accurate doc text.
Comment 6 Athene Chan 2012-11-22 18:30:40 EST
Hi Petr! Changed as per suggestion. Let us know if you have other feedback :)
Comment 8 errata-xmlrpc 2012-12-04 14:44:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.